#view-transaction {

  p {
    margin: 2em 0 2em;
    word-break: normal;
  }
  
  .buttons .pure-button {
    display: block;
    margin: 0.5em auto;
    width: -moz-fit-content;
    width: fit-content;
  }

  .modal-send-balance,
  .modal-send-currency,
  .modal-send-insufficient-fee-warning {
    display: inline-block;
    word-wrap: break-word;
    font-weight: 600;
  }

  .modal-send-addressfrom-wrap {
    display: block;
    text-align: left;
  }

  .modal-send-addressfrom {
    margin-top: 5px;
  }

  .modal-send-description {
    letter-spacing: 0;
    min-height: 78px;
    line-height: 26px;
    margin-top: 6px;
  }
  
  .modal-send-amount-attachment {
    letter-spacing: 0;
    display: none;
    min-height: 78px;
    line-height: 26px;
    margin-top: 6px;
  }

  .subBalanceAddrStr {
    margin-right: 3px;
  }

  #modal-send-target {
    height: 57px;
    margin: 0;
    padding-right: 80px;

    /* run text toward transparency under textbox buttons */
    background-position-x: 12px;
    background: linear-gradient(to right, #333, rgba(1,1,1,0));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(125, 125, 125, 33);
  }

  #transaction-send-note {
    padding: 0.5em;
    padding-bottom: 1em;
  }

  #transaction-field-elements-A {
    position: relative;
    z-index: 99999;
    float: right;
    margin: -50px 10px 0 0;
    filter: grayscale(100%) brightness(0%);

    #transaction-qr-scanner-button,
    #transaction-contacts-button {
      display: inline-block;
      height: 42px;
      width: 42px;
      padding: 0;
      color: #999;
    }

    #transaction-qr-scanner-button {
      background: rgba(255, 255, 255, 0) url('./svg/qrcode.svg') center no-repeat;
      filter: opacity(70%);

      &:hover {
        cursor: pointer;
        filter: opacity(50%);
      }
    }

    #transaction-contacts-button {
      background: rgba(255, 255, 255, 0) url('./svg/book.svg') center no-repeat;
      filter: opacity(70%);

      &:hover {
        cursor: pointer;
        filter: opacity(50%);
      }
    }
  }

  #modal-send-amount {
    height: 57px;
    margin-top: 14px;

    @include font-size($xl-font-size);

    padding-right: 140px;

    /* run text toward transparency under textbox buttons */
    background-position-x: 12px;
    background: linear-gradient(to right, #333, #333, rgba(1,1,1,0),rgba(1,1,1,0));
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(125, 125, 125, 0.1);
  }

  #transaction-field-elements-B {
    position: relative;
    z-index: 99999;
    float: right;
    margin: -55px 12px 0 0;

    #transaction-symbol {
      display: inline-block;
      color: $grey;
      font-weight: $semi-bold;
      background: transparent;
      margin: 1px 6px 0 0;

      @include font-size();
      @include border-radius();
    }

    #transaction-max-button {
      display: inline-block;
      min-height: 5px;
      margin: -4px 1px 0 0;
      padding: 5px 9px;
      background: #555;
      border: 0 solid transparent !important;
      color: #fff;
      font-weight: 700;
      letter-spacing: 0.5px;

      &.disabled {
        background: #bbb;
        border-color: 1px solid #999;
      }
    }
  }

  #transaction-more-button {
    display: block;
    margin-left: 1em;
    margin-right: auto;
    color: #68abc6;

    .icon {
      width: 12px;
      height: 12px;
      background-repeat: no-repeat;
      background-size: 100% 100%;
      vertical-align: middle;
      display: inline-block;
      margin: -3px 4px 0 4px;
      background-image: url("./svg/add.svg");

      svg {
        path {
          fill: #68abc6 !important;
        }
      }
    }

    &:hover {
      text-decoration: none;
      filter: brightness(110%);
      cursor: pointer;
    }
  }

  #transaction-more-wrapper {
    display: none; /* start hidden */
  }

  #transaction-contact {
    display: block;
    margin-left: 18px;
    color: #269;
    margin-top: 1em;
  }

  .transaction-entrySuggestion {
    cursor: pointer;
    display: block;
    color: #08b4d0;
  }

  .transaction-entrySuggestion:hover {
    color: #73c7f9;
    margin-left: 5px;
  }

  #saveToAddressBook {
    display: none; /* start hidden */
    margin-left: 12px;
    margin-bottom: 0.2em;
    width: 97%;
  }

  #saveToAddressBookData {
    display: none; /* start hidden */
    margin-top: 18px;
    padding-left: 30px;

    #saveToAddressBookData-icon {
      margin-left: -26px;
      height: 0;
      margin-bottom: -18px;
      margin-top: 36px;
    }

  }

  .pure-form input.error[type=text] {
    color: red !important;
    background-color: rgb(255, 200, 200);
    border-color: red;
  }

  .errorMessage {
    color: red;
    margin: 10px;
    display: none;
  }

  #transaction-amount-errorMessage {
    margin-top: -10px;
  }

  #transaction-more-wrapper {
    margin-top: 10px;
  }

  .transaction-selectPrefix {
    cursor: pointer;
  }

  .transaction-selectPrefix span {
    color: white;
    border-radius: 8px;
    font-weight: 400;
    letter-spacing: 0.5px;
    padding: 0 3px 0;
    background: #5dbdc9;
    display: inline-block;
    margin-top: 3px;
    margin-right: 5px;
    pointer-events: inherit;
  }

  #transaction-subAddresses {
    display: none;
  }

  #transaction-balance {
    display: block;
    width: 100%;
    padding-right: 8px;
    div {
      display: inline-block;
      float: right;
    }
  }

  #transaction-spinner {
    display: none;
    background: linear-gradient(rgba(255,255,255,0.6),rgba(255,255,255,0.7),rgba(255,255,255,0.5));
    top: 80px;
    width: calc(100% - 48px);
    height: calc(100% - 80px);
    padding-top: 0;
    text-align: center;
    position: absolute;
    .spinner-loader {
      margin-top: 25vh;
      margin-left: 0;
    }
  }

  #transaction-spinner-message {
    margin-top: 24px;
    font-size: 1.2em;
    font-weight: bold;
  }

}
